import axios from 'axios'
import { ElMessage } from 'element-plus'

const service = axios.create({
  baseURL: import.meta.env.VITE_API_URL,
  timeout: 15000
})

// Request interceptor
service.interceptors.request.use(
  config => {
    // Add token if needed
    // const token = localStorage.getItem('token')
    // if (token) {
    //   config.headers['Authorization'] = `Bearer ${token}`
    // }
    
    config.headers['Content-Type'] = config.method === 'get' ? 'application/x-www-form-urlencoded' : 'application/json'
    return config
  },
  error => {
    console.error(error)
    return Promise.reject(error)
  }
)

// Response interceptor
service.interceptors.response.use(
  response => {
    const res = response.data
    if (res.status === 1) {
    //   ElMessage.error(res.message || 'Error')
    //   return Promise.reject(new Error(res.msg || 'Error'))
    }
    return res
  },
  error => {
    console.error('err' + error)
    // ElMessage.error(error.message || 'Request Error')
    return Promise.reject(error)
  }
)

export default service 